关注搜索引擎和站长的那点事儿!

当前位置:主页 > 生活科普小知识 >

怎么用cad画五角星

  • 原创
  • 生活科普小知识
  • 2021-05-04 12:19:59
  • 本文有900个文字,大小约为4KB,预计阅读时间3分钟

1.怎样用cad画五角星

照此步骤:

1、先画一个任意大小尺寸的圆,并绘制中心线

2、选择定数等分

3、

4、数目输入5,敲击回车enter

5、

6、从重新点依次连接点

7、依次连接ABCDEA,然后删除多余线段

2.怎么用CAD画五角星

CAD绘制多类型图形是设计人员日常制图的必备技能,怎样在CAD中设计五角星?其实主要掌握了CAD设计技巧这并不难!这里画五角星需用到圆、多边形、直线、填充等辅助命令,下面有兴趣的小伙伴们一起来学习一下吧!

启动软件,默认为“查看器”窗口。可点击“文件”—“打开”选项,打开CAD图纸进行查看。

将软件切换至“编辑器”功能区,在“绘制”选项区找到“圆”命令并点击激活,在操作界面使用“圆”命令绘制一个半径为10的圆。如图所示:

选择“绘制”—“多边形线”命令,以绘制半径为10的圆心为原点绘制内切圆正五边形。如图所示:

同理在“绘制”功能区,选择“线”(创建直线段)命令,将内切圆正五边形顶点两两相连。即可初步形成一个五角星,如图所示:

鼠标单击选中所绘制半径为10的圆,右击弹窗点击“删除/剪切”按钮,即可删除辅助圆形。按照此方法依次将内切圆正五边形删除。(圆形和内切圆正五边形均为绘制五角星的辅助图形)

首先选中需填充图形,选择“绘制”—“图案”命令并激活,在弹出“边界图案填充与过渡色”窗口点击“色彩”—“以图层”。这里我们选择红色,选择完毕后点击“OK”即可。

3.在CAD中画五角星的具体步骤是怎样的

1、打开CAD软件,用鼠标左键单击多边形工具,然后在CAD软件的左下角,将提示您绘制几个三角形,并直接在计算机上输入数字5。

因为我们想画一个五角星,所以我们必须首先绘制五边形才能出来。2、接下来,您将在CAD软件的左下角看到一个提示,无论是刻在内接于圆还是刻在外接于圆。

我们在这里选择的是刻在内接于圆中,在输入计算机上的字母I后直接按空格键或Enter键。3、使用鼠标左键拉出五边形,可以随意拉伸尺寸。

下图显示了形成的五边形。4、绘制五边形后,使用直线工具将五边形的每个角连接一条线。

5、最后在五边形中形成五边形。只需删除外部五边形。

6、在移除五边形后,它形成一个黑色的五角星,看起来非常不吸引人。接下来我们要填写红星。

单击软件左侧的渐变,将出现颜色选择界面。单击颜色选项框,我们将在此处选择红色。

7、选择红色后,如何将颜色添加到五角星?查看对话框页面的右上角,其中包含一个添加拾取点的十字。单击交叉界面返回原始的五角星界面。

8、选择要添加的单击,然后返回到颜色添加对话框并按“确定”。最后,画出了五角星。

4.如何在CAD中画五角星

用正正多边形工具,输入边数“5”.

然后把对角线连起来,并且删除多余的边即可。

5.CAD怎么画五星

1. 快捷键命令【POL】,绘制一个正五边形,然后把不相邻的顶点全部连接就是五角星。

2. 也可以加载一个小插件,输入中心点及内接圆的半径,就可以得到五角星。代码如下:

3. (defun c:tes ( / &dis1 i p1 pt1 ss)

(if (null vlax-dump-object) (vl-load-com) )

(if (and

(setq pt1 (getpoint "\n请指定五角星中心点"))

(setq &dis1 (getdist pt1 "\n请指定五角星内接圆半径"))

)

(progn

(setq p1 (polar pt1 (* pi 0.5) &dis1))

(setq ss '() ss (cons p1 ss) i 0.8)

(repeat 4

(setq p1 (polar pt1 (+ (* pi 0.5) (* pi i)) &dis1))

(setq ss (cons p1 s

怎么用cad画五角星

s) i (+ i 0.8))

)

(entmake (append (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(100 . "AcDbPolyline") (cons 90 (length ss)) '(70 . 1)) (mapcar '(lambda (pt1)(cons 10 pt1)) ss)))

)

)

(princ)

);复制到记事本,以【.lsp】为后缀命名,autolisp加载,命令【TES】。

版权保护: 本文由《怎么用cad画五角星》原创,转载请保留链接: http://www.xqdyishu.cn/shkpxzs/60162.html

  • 关注微信

猜你喜欢

微信公众号